<template>
  <v-container fluid grid-list-xl>
    <page-title>
      Reporte de desempeño de los especialistas de EsSalud
    </page-title>
    <div class="labelStyle">
      Seleccione un rango de meses para actualizar el reporte
    </div>
    <page-content>
      <v-row>
        <v-col>
          <filters></filters>
        </v-col>
      </v-row>
      <v-row>
        <v-col cols="5">
          <score-chart></score-chart>
        </v-col>
        <v-col cols="7">
          <turnover-rate-chart></turnover-rate-chart>
        </v-col>
      </v-row>
      <v-row>
        <v-col>
          <mean-hours-chart></mean-hours-chart>
        </v-col>
      </v-row>
      <v-row>
        <v-col cols="6">
          <top-rated-chart></top-rated-chart>
        </v-col>
        <v-col cols="6">
          <low-rated-chart></low-rated-chart>
        </v-col>
      </v-row>
      <v-row>
        <v-col>
          <specialist-table></specialist-table>
        </v-col>
      </v-row>
    </page-content>
  </v-container>
</template>

<script>
import PageTitle from '~/components/PageTitle';
import PageContent from '~/components/PageContent';
import Filters from '~/components/Dashboard/SpecificSpecialist/Filters';
import ScoreChart from '~/components/Dashboard/ProviderSupervisor/ScoreChart';
import LowRatedChart from '~/components/Dashboard/ProviderSupervisor/LowRatedChart';
import TopRatedChart from '~/components/Dashboard/ProviderSupervisor/TopRatedChart';
import MeanHoursChart from '~/components/Dashboard/ProviderSupervisor/MeanHoursChart';
import TurnoverRateChart from '~/components/Dashboard/ProviderSupervisor/TurnoverRateChart';
import SpecialistTable from '~/components/Dashboard/ProviderSupervisor/SpecialistTable';
export default {
  name: 'DashboardProvider',
  components: {
    PageTitle,
    PageContent,
    ScoreChart,
    LowRatedChart,
    TopRatedChart,
    TurnoverRateChart,
    MeanHoursChart,
    SpecialistTable,
    Filters,
  },
  data() {
    return {
    };
  },
};
</script>

<style scoped>
.labelStyle{
  padding-left: 20px;
  padding-top: 40px;
  padding-bottom: 40px;
  font-family: "Montserrat", sans-serif;
  font-size: 17px;
  color: #505050;
}
</style>
